# recruware Public API > Welcome to the recruware API! Here you’ll find a list of endpoints you can use without an API key. These endpoints provide access to public data, which you can use to build your own career page or integrate with other tools. Explore and get started! - Version: 2.0.10 - Basis-URL: https://api.recruware.com - Authentifizierung: kein API-Schlüssel, die Mandanten werden über den Header x-recruware-namespace unterschieden - OpenAPI-Spezifikation als JSON: https://docs.recruware.com/openapi.json - Interaktive Referenz: https://docs.recruware.com/developers ## Endpunkte ### GET /api/public/jobs Get all published jobs Returns a list of all published jobs in the system. Ideal for listing job openings on a career page. **Parameter** - x-recruware-namespace [header, string, erforderlich]: The namespace to which the request belongs to **Antwort 200** Default Response Array von Objekten mit den folgenden Feldern: - id [string, erforderlich] - title [object, erforderlich] - en [string, erforderlich] - jobCategory [enum: graduatesUniversity | general | architectureDesign | trainingEducation | temporaryJobs | bankingFinance | clothingTextile | consulting | careerStarters | educationSocial | accountingFinance | logisticsProcurement und 27 weitere Werte, erforderlich] - employmentType [enum: employee | temporaryEmployee | internship | workingStudent | apprenticeship | dualStudies | traineeship | freelance | sideJob, erforderlich] - locations [array of string, erforderlich] - address [object] - street [string, erforderlich] - city [string, erforderlich] - zipCode [string, erforderlich] - country [string, erforderlich] - publishedSince [string, format date-time, erforderlich] - namespace [string, erforderlich] - createdBy [string, erforderlich] - updatedAt [string, format date-time, erforderlich] - createdAt [string, format date-time, erforderlich] ### GET /api/public/jobs/{jobId} Get job details by ID Fetches detailed information about a specific published job by its unique ID. Useful for displaying job details on a career page. **Parameter** - jobId [path, string, erforderlich] - x-recruware-namespace [header, string, erforderlich]: The namespace to which the request belongs to **Antwort 200** Default Response - id [string, erforderlich] - imageUrl [string, erforderlich] - title [object, erforderlich] - en [string, erforderlich] - introduction [object, erforderlich] - en [string, erforderlich] - responsibilities [object, erforderlich] - en [string, erforderlich] - qualifications [object, erforderlich] - en [string, erforderlich] - benefits [object, erforderlich] - en [string, erforderlich] - finalSentencesTitle [object, erforderlich] - en [string, erforderlich] - finalSentences [object, erforderlich] - en [string, erforderlich] - jobCategory [enum: graduatesUniversity | general | architectureDesign | trainingEducation | temporaryJobs | bankingFinance | clothingTextile | consulting | careerStarters | educationSocial | accountingFinance | logisticsProcurement und 27 weitere Werte, erforderlich] - workSetting [enum: remote | onSite | hybrid, erforderlich] - remoteType [enum: remoteDe | remoteEu | remoteWorldwide | remoteDACH | remoteOthers | -] - pensum [number, erforderlich] - paymentFrequency [enum: annually | monthly | hourly, erforderlich] - employmentType [enum: employee | temporaryEmployee | internship | workingStudent | apprenticeship | dualStudies | traineeship | freelance | sideJob, erforderlich] - locations [array of string, erforderlich] - address [object] - street [string, erforderlich] - city [string, erforderlich] - zipCode [string, erforderlich] - country [string, erforderlich] - currency [string, erforderlich] - cvIsRequired [boolean, erforderlich] - coverLetterRequirement [enum: hidden | optional | mandatory, erforderlich] - linkedInProfile [enum: hidden | optional | mandatory, erforderlich] - instagramProfile [enum: hidden | optional | mandatory, erforderlich] - facebookProfile [enum: hidden | optional | mandatory, erforderlich] - questions [array of object, erforderlich] - type [enum: text | number | date | dropdownSingleSelect | yesNo, erforderlich] - question [object, erforderlich] - en [string, erforderlich] - options [array of string] - isRequired [boolean, erforderlich] - status [enum: published | deactivated | archived | draft, erforderlich] - language [enum: de | en | it | fr | nl, erforderlich] - updatedAt [string, format date-time, erforderlich] ### GET /api/public/organisations Get organisation details Fetches details about the organisation using recruware. Useful for displaying company information on a career page. **Antwort 200** Default Response - logoUrl [string, erforderlich] - name [string, erforderlich] - sector [enum: chemicalsCrudeOilProductsPlastics | constructionBuildingMaterialTrade | automotiveManufacturingSuppliers | agencyMarketingPrAdvertisement | mediaPublishingBroadcastingTv | electronicsPrecisionMechanics | personnelConsultingEmployment | printPaperPackagingIndustry | itServicesSoftwareHardware | federalStateLocalAuthority | agricultureForestryFishing | securityServicesMonitoring und 32 weitere Werte, erforderlich] - website [string, format uri, erforderlich] - companySize [enum: | 1-10 | 11-50 | 51-200 | 201-500 | 501-1000 | 1001-5000 | 5001+, erforderlich] - companyPortrait [object, erforderlich] - en [string, erforderlich] - vision [object, erforderlich] - en [string, erforderlich] - portraitVideoUrl [string, format uri, erforderlich] - benefits [array of enum: stockOptions | accessibleAccess | professionalEducation | companyPension | paidCoWorking | cafeteria | travelCompensation | companyPhone | companyLaptop | companyCar | fitnessSubscription | onSiteGym und 20 weitere Werte, erforderlich] - values [array of enum: drive | openness | impact | empowerment | education | honesty | selfResponsibility | empathy | determination | accessibility | ethical | fairness und 35 weitere Werte, erforderlich] - socials [object, erforderlich] - linkedIn [string, format uri, erforderlich] - xing [string, format uri, erforderlich] - facebook [string, format uri, erforderlich] - instagram [string, format uri, erforderlich] - tikTok [string, format uri, erforderlich] - youTube [string, format uri, erforderlich] - careerPage [object, erforderlich] - isEnabled [boolean, erforderlich] - language [enum: de | en | it | fr | nl, erforderlich] - jobsPerPage [integer, erforderlich] - design [object, erforderlich] - background [string, format regex, erforderlich] - border [string, format regex, erforderlich] - primary [string, format regex, erforderlich] - primaryContrast [string, format regex, erforderlich] - highlight [string, format regex, erforderlich] - textPrimary [string, format regex, erforderlich] - textSecondary [string, format regex, erforderlich] ### GET /api/public/locations Get all job locations Returns a list of all available job locations. Useful for filtering job openings by location. **Antwort 200** Default Response Array von Objekten mit den folgenden Feldern: - id [string, erforderlich] - name [string, erforderlich] - city [string, erforderlich] - zipCode [string, erforderlich] - country [string, erforderlich] ### POST /api/public/applications Submit a job application Allows candidates to apply for a job by submitting their details, CV, and cover letter. Saves the application to recruware. **Request Body** application/json, erforderlich - jobId [string, erforderlich] - salutation [enum: male | female | diverse, erforderlich] - firstName [string, erforderlich] - lastName [string, erforderlich] - email [string, format email, erforderlich] - customAnswers [array of string] - consentsToApplicantPool [boolean, erforderlich] - source [string, erforderlich] - userContext [string] - linkedIn [string, format uri] - facebook [string, format uri] - instagram [string, format uri] - cv [object] - coverLetter [object] **Antwort 200** Default Response - ok [boolean, erforderlich]